Fetch a URL (PATCH)
curl --request PATCH \
--url https://scraping-api.55-tech.com/fetch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"method": "<string>",
"headers": {},
"body": "<string>",
"timeout": 123,
"allow_redirects": true
}
'import requests
url = "https://scraping-api.55-tech.com/fetch"
payload = {
"method": "<string>",
"headers": {},
"body": "<string>",
"timeout": 123,
"allow_redirects": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
method: '<string>',
headers: {},
body: JSON.stringify('<string>'),
timeout: 123,
allow_redirects: true
})
};
fetch('https://scraping-api.55-tech.com/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"status": 123,
"final_url": "<string>",
"http_version": "<string>",
"elapsed_ms": 123,
"blocked": true,
"headers": {},
"agent": {
"id": "<string>"
},
"bytes": 123
},
"raw": "<string>",
"raw_json": "<unknown>"
}Fetch
Fetch a URL (PATCH)
Send a PATCH request to the target URL through the agent network.
PATCH
/
fetch
Fetch a URL (PATCH)
Authorizations
API key passed in the X-API-Key header.
Headers
Target URL (no encoding needed). Recommended for URLs with query parameters.
Target countries as comma-separated ISO codes (e.g. US,DE,AT). Aliases: X-Geo-CC, X-CC, X-Country, X-Geo-Strict.
Route through specific agent(s) by slug (e.g. de1) or comma-separated list for random pick (e.g. de1,at5,us3).
Override request timeout in seconds (default: 30).
Body
application/json
Override HTTP method (e.g. POST, PUT). Defaults to the request's own method.
Custom headers to send to the target origin.
Show child attributes
Show child attributes
Request body to send to the target origin.
Request timeout in seconds. Default: 30.
Follow redirects. Default: true.
⌘I